SoLightAttenuationElement(3)

NAME
SoLightAttenuationElement - The SoLightAttenuationElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoLightAttenuationElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
virtual SbBool matches (const SoElement *element) const
FIXME: write doc.
virtual SoElement * copyMatchInfo (void) const
FIXME: write doc.
virtual void print (FILE *file) const
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const SbVec3f &lightAttenuation)
FIXME: write doc.
static const SbVec3f & get (SoState *const state)
FIXME: write doc.
static const SbVec3f & getDefault ()
FIXME: write doc.

  Protected Member Functions
virtual ~SoLightAttenuationElement ()

  Protected Attributes
SbVec3f lightAttenuation

  Additional Inherited Members

Detailed Description

The SoLightAttenuationElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoLightAttenuationElement::~SoLightAttenuationElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoLightAttenuationElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoLightAttenuationElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoLightAttenuationElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoLightAttenuationElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoLightAttenuationElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

  SbBool SoLightAttenuationElement::matches (const SoElement * element) const [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

  SoElement * SoLightAttenuationElement::copyMatchInfo (void) const [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

  void SoLightAttenuationElement::print (FILE * file) const [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

Member Data Documentation

  SoLightAttenuationElement::lightAttenuation [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.